// Теоретический вопрос

//1. Обьяснить своими словами разницу между обьявлением переменных через var, let и const.
//2. Почему объявлять переменную через var считается плохим тоном?

// Задание

//Реализовать простую программу на Javascript, которая будет взаимодействовать с пользователем с помощью модальных 
//окон браузера - `alert`, `prompt`, `confirm`. Задача должна быть реализована на языке javascript, без использования фреймворков и сторонник библиотек (типа Jquery).

// Технические требования:
//- Считать с помощью модельного окна браузера данные пользователя: имя и возраст.
//- Если возраст меньше 18 лет - показать на экране сообщение: `You are not allowed to visit this website`.
//- Если возраст от 18 до 22 лет (включительно) - показать окно со следующим сообщением:
// `Are you sure you want to continue?` и кнопками `Ok`, `Cancel`. Если пользователь нажал `Ok`, показать на экране сообщение: `Welcome, ` + имя пользователя. Если пользователь нажал `Cancel`, показать на экране сообщение: `You are not allowed to visit this website`.
//- Если возраст больше 22 лет - показать на экране сообщение: `Welcome, ` + имя пользователя.
//- Обязательно необходимо использовать синтаксис ES6 (ES2015) при создании переменных.

// Необязательное задание продвинутой сложности:
//- После ввода данных добавить проверку их корректности. Если пользователь не ввел имя, либо при вводе возраста указал не число - спросить имя и возраст заново (при этом значением по умолчанию для каждой из переменных должна быть введенная ранее информация).

// Литература:
//- [Взаимодействие с пользователем: alert, prompt, confirm](https://learn.javascript.ru/uibasic)
//- [Переменные: let и const](https://learn.javascript.ru/let-const)


//1. Обьяснить своими словами разницу между обьявлением переменных через var, let и const.
// Разница в том что :
// - Переменную которую обявили  через var ее значение можно изминить без труда и 
//   область видимомть ее без границ.
// - Переменная которую обявили  через let видна только в нутри блока 
//   где была она создана не болие. 
// - Переменная которую обявили  через сonst значени можно записать только один раз 
//   оно будет всегда не изменным.
// 2 Почему объявлять переменную через var считается плохим тоном?
// - Переменную которую обявили  через var ее значение можно изминить без труда
// и код ваш перестанет работать такой метод обявлять переменную давно уже устарелый !


const visitWebsite = 'You are not allowed to visit this website.';

let userName = prompt('Enter you name!');
    while (userName === null || userName === '') {
        alert('You did not enter anything or clicked cancel!');
        userName = prompt('Enter you name!');
      }

let userAge = prompt('Enter you Age!');
      while(Number.isNaN(+userAge) || userAge === null || userAge === ''){
          alert('You did not enter anything or did not enter a number or clicked cancel!');
          userAge = prompt('Enter you age!')
      }

if(userAge < 18){
    alert(`${userName}! you ${userAge} years! sorry ${visitWebsite}`);
}
else if(userAge >= 18 && userAge <= 22){
    confirm('Are you sure you want to continue?') ? alert(`Welcom ${userName}! you ${userAge} years!`) : alert(`${visitWebsite}`);
}
else{
    alert(`Welcome, ${userName}`);
}